Bug 598824 - Review Request: maven-verifier-plugin - Maven Verifier Plugin
Review Request: maven-verifier-plugin - Maven Verifier Plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 02:19 EDT by huwang
Modified: 2010-06-04 06:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 06:28:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description huwang 2010-06-02 02:19:23 EDT
Spec URL: http://huwang.fedorapeople.org/packages/maven-verifier-plugin/maven-verifier-plugin.spec
SRPM URL: http://huwang.fedorapeople.org/packages/maven-verifier-plugin/maven-verifier-plugin-1.0-1.src.rpm
Description: Assists in integration testing by means of evaluating 
success/error conditions read from a configuration file.
Comment 1 huwang 2010-06-02 02:38:20 EDT
Scratch built in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2224179
Comment 2 Alexander Kurtakov 2010-06-02 03:03:03 EDT
Review:

OK: rpmlint must be run on every package. Output:
maven-verifier-plugin.noarch: W: no-documentation
maven-verifier-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-verifier-plugin
maven-verifier-plugin.src: W: invalid-url Source0: maven-verifier-plugin-1.0.tar.gz

False positives. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8.    
OK: Provides/Obsoletes are good.

Except for the tarball compression package is good.

This package is APPROVED.
Comment 3 huwang 2010-06-02 03:43:27 EDT
New Package CVS Request
=======================
Package Name: maven-verifier-plugin
Short Description: Maven Verifier Plugin
Owners: huwang
Branches: 
InitialCC:
Comment 4 Kevin Fenzi 2010-06-03 16:34:35 EDT
CVS done (by process-cvs-requests.py).
Comment 5 huwang 2010-06-04 06:27:39 EDT
Built in koji: http://koji.fedoraproject.org/koji/buildinfo?buildID=176593

Note You need to log in before you can comment on or make changes to this bug.